My Favorites

Close

Please to see your favorites.

  • Bookmark
  • Email Document
  • Printer Friendly
  • Favorite
  • Rating:

Problems installing MozillaFirefox update

This document (7004278) is provided subject to the disclaimer at the end of this document.

Environment

SUSE Linux Enterprise Server 10 Service Pack 2
SUSE Linux Enterprise Desktop 10 Service Pack 2

Situation

When trying to use rug or the zen-updater to install an online update, it fails with an error message

ERROR: Dependency resolution failed: Unresolved dependencies:           
Updating patch:slesp2-MozillaFirefox-6381-0.noarch[System packages] to patch:slesp2-MozillaFirefox-6433-0.noarch[SLES10-SP2-Updates]
atom:MozillaFirefox-branding-SLED-3.0.3-7.4.3.i586[SLES10-SP2-Updates] needed by patch:slesp2-MozillaFirefox-6433-0.noarch[SLES10-SP2-Updates]
Installing atom:MozillaFirefox-branding-SLED-3.0.3-7.4.3.i586[SLES10-SP2-Updates]
MozillaFirefox-branding-SLED-3.0.3-7.4.3.i586[SLES10-SP2-Updates] provides MozillaFirefox-branding-SLED == 3.0.3-7.4.3, but has another architecture.
There are no installable providers of MozillaFirefox-branding-SLED >= 3.0.3-7.4.3 for
atom:MozillaFirefox-branding-SLED-3.0.3-7.4.3.i586[SLES10-SP2-Updates]
Establishing MozillaFirefox-branding-SLED-3.0.3-7.4.2.x86_64[SLES10-SP2-Updates]

Resolution

The simplest way to solve this problem is to use the graphical administrator tool YaST-->Online Update to install this update. When clicking "OK", YaST will also report the error, but will present the user with the option "Install MozillaFirefox-branding-SLED although it would change the architecture". Select this option, then click "OK - Try again", and the update will complete.




Additional Information

MozillaFirefox-branding-SLED is a package which didn't exist for firefox version 2, it was introduced with the update to version 3. It needs to be of the same architecture as the rest of MozillaFirefox.

MozillaFirefox in SLES/SLED10 SP2 is only released as a 32 bit package, the 64 bit version of MozillaFirefox wasn't released until SLES/SLED 11.

Unfortunately, because of an administrative error, MozillaFirefox-branding-SLED version 3.0.3-7.4.2 was released as a 64 bit package, and users on x86_64 machines who installed that online update received that 64 bit version.

With the update to 3.0.3-7.4.3, only the 32 bit package is released, as is correct for SLES10 SP2. However, as a protection against repository errors, rug and the zen-installer will not automatically change the architecture of an already installed package. This needs administrator intervention to override. To accomplish this using rug, one possibility is

rug install MozillaFirefox-branding-SLED.i586

Disclaimer

This Support Knowledgebase provides a valuable tool for NetIQ/Novell/SUSE customers and parties interested in our products and solutions to acquire information, ideas and learn from one another. Materials are provided for informational, personal or non-commercial use within your organization and are presented "AS IS" WITHOUT WARRANTY OF ANY KIND.

  • Document ID:7004278
  • Creation Date:21-AUG-09
  • Modified Date:27-APR-12
    • SUSESUSE Linux Enterprise Desktop
      SUSE Linux Enterprise Server

Did this document solve your problem? Provide Feedback

< Back to Support Search

SUSE Support Forums

Get your questions answered by experienced Sys Ops or interact with other SUSE community experts.

Join Our Community

Support Resources

Learn how to get the most from the technical support you receive with your SUSE Subscription, Premium Support, Academic Program, or Partner Program.


SUSE Customer Support Quick Reference Guide SUSE Technical Support Handbook Update Advisories
Support FAQ

Open an Incident

Open an incident with SUSE Technical Support, manage your subscriptions, download patches, or manage user access.

Go to Customer Center